> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/orders.md).

# orders

{% tabs %}
{% tab title="Payload" %}

```
POST /api/algo/orders

{
    "pageNumber": 0,
    "pageSize": 250
}
```

<table><thead><tr><th width="149.20001220703125">Parameter</th><th width="115.79998779296875">Type</th><th>Description</th></tr></thead><tbody><tr><td>pageNumber</td><td>number</td><td>Number of a page to retrieve. Starts with 0</td></tr><tr><td>pageSize</td><td>number</td><td>Amount of elements per page</td></tr></tbody></table>
{% endtab %}

{% tab title="Response 200 OK" %}

```
{
    "content": [
        {
          ...
        },
        ...
    ],
    "totalElements": 1,
    "size": 250,
    "number": 0,
    "error": 0
}
```

<table><thead><tr><th width="198.79998779296875">Attribute</th><th width="155.79998779296875">Type</th><th>Description</th></tr></thead><tbody><tr><td>error</td><td>Efx::ErrorCode</td><td>Operation result code. Possible values are in <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/troubleshooting-errors/list-of-error-codes">List of Error Codes</a></td></tr><tr><td>content</td><td>array of <code>order</code></td><td>Array of <code>order</code> elements. See response for <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/rest-api/trading/order-book-and-qs/algo-orders/regular-operations/algo-order">algo/order</a></td></tr><tr><td>size</td><td>number</td><td>Elements page size</td></tr><tr><td>number</td><td>number</td><td>Current page number. Starts with 0</td></tr><tr><td>totalElements</td><td>number</td><td>Total amount of elements</td></tr></tbody></table>
{% endtab %}
{% endtabs %}
